Bug 245610 - www/chromium: build fail
Summary: www/chromium: build fail
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-chromium (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-04-13 23:04 UTC by rozhuk.im
Modified: 2020-08-17 16:22 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (chromium)


Attachments
build log (138.44 KB, application/gzip)
2020-04-14 12:00 UTC, rozhuk.im
no flags Details
make.conf (5.68 KB, text/plain)
2020-04-14 12:01 UTC, rozhuk.im
no flags Details
make.conf (1.68 KB, text/plain)
2020-04-14 12:01 UTC, rozhuk.im
no flags Details
make.conf (246 bytes, text/plain)
2020-04-14 12:02 UTC, rozhuk.im
no flags Details
build patch (1.05 KB, patch)
2020-04-17 14:13 UTC, rozhuk.im
rozhuk.im: maintainer-approval?
Details | Diff
Patch to update Chromium to version 84.0.4147.125 (1.38 KB, patch)
2020-08-15 18:50 UTC, Joseph Mingrone
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2020-04-13 23:04:22 UTC
FAILED: obj/third_party/angle/src/libANGLE/renderer/vulkan/angle_vulkan_backend/ContextVk.o 
c++ -MMD -MF obj/third_party/angle/src/libANGLE/renderer/vulkan/angle_vulkan_backend/ContextVk.o.d -DANGLE_VK_LAYERS_DIR=\"angledata\" -DANGLE_VK_MOCK_ICD_JSON=\"angledata/VkICD_mock_icd.json\" -DANGLE_VK_SWIFTSHADER_ICD_JSON=\"./vk_swiftshader_icd.json\" -DUSE_AURA=1 -DUSE_GLIB=1 -DUSE_NSS_CERTS=1 -DUSE_X11=1 -DOFFICIAL_BUILD -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -DNO_UNWIND_TABLES -D_GNU_SOURCE -DCR_CLANG_REVISION=\"n340759-eaabaf7e-1\" -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D_FORTIFY_SOURCE=2 -DNDEBUG -DNVALGRIND -DDYNAMIC_ANNOTATIONS_ENABLED=0 -DANGLE_IS_64_BIT_CPU -DANGLE_ENABLE_VULKAN -DANGLE_ENABLE_SWIFTSHADER -DANGLE_USE_CUSTOM_VULKAN_CMD_BUFFERS=1 -DLIBANGLE_IMPLEMENTATION -DANGLE_USE_X11 -DVK_USE_PLATFORM_XCB_KHR -DANGLE_ENABLE_OPENGL -DANGLE_ENABLE_OPENGL_NULL -DANGLE_ENABLE_NULL -DANGLE_ENABLE_VULKAN -DANGLE_ENABLE_SWIFTSHADER -DANGLE_USE_CUSTOM_VULKAN_CMD_BUFFERS=1 -I../../third_party/angle/include -I../../third_party/angle/src -I../../third_party/angle/src/common/third_party/base -Igen/angle -I../../third_party/angle/include -I../../third_party/angle/src/third_party/volk -I../../third_party/angle/third_party/vulkan-headers/src/include -I../../third_party/angle/include -I../../third_party/angle/src -I../../third_party/angle/include -I../../third_party/angle/src -I../../third_party/SPIRV-Tools/src/include -fprofile-sample-use=../../chrome/android/profiles/afdo.prof -fno-strict-aliasing --param=ssp-buffer-size=4 -fstack-protector -fno-unwind-tables -fno-asynchronous-unwind-tables -fPIC -pthread -fcolor-diagnostics -fmerge-all-constants -m64 -march=x86-64 -no-canonical-prefixes -Wall -Wextra -Wimplicit-fallthrough -Wthread-safety -Wextra-semi -Wno-missing-field-initializers -Wno-unused-parameter -Wno-c++11-narrowing -Wno-unneeded-internal-declaration -Wno-undefined-var-template -O2 -fno-ident -fdata-sections -ffunction-sections -fno-omit-frame-pointer -g0 -fvisibility=hidden -Wheader-hygiene -Wstring-conversion -Wtautological-overlap-compare -Wexit-time-destructors -Wglobal-constructors -Wconditional-uninitialized -Wextra-semi-stmt -Wfloat-conversion -Winconsistent-missing-destructor-override -Wmissing-field-initializers -Wnon-virtual-dtor -Wredundant-parens -Wshadow-field -Wtautological-type-limit-compare -Wundefined-reinterpret-cast -Wunneeded-internal-declaration -Wparentheses -Wrange-loop-analysis -Wstrict-prototypes -Wunreachable-code -Wshorten-64-to-32 -Xclang -mllvm -Xclang --enable-global-merge=false -std=c++14 -fno-exceptions -fno-rtti -fvisibility-inlines-hidden -O2 -pipe -O3 -pipe -funroll-loops -DSTRIP_FBSDID -D_FORTIFY_SOURCE=2 -mretpoline -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing -O3 -funroll-loops -DSTRIP_FBSDID -D_FORTIFY_SOURCE=2 -mretpoline  -isystem /usr/local/include  -c ../../third_party/angle/src/libANGLE/renderer/vulkan/ContextVk.cpp -o obj/third_party/angle/src/libANGLE/renderer/vulkan/angle_vulkan_backend/ContextVk.o
clang (LLVM option parsing): Unknown command line argument '--enable-global-merge=false'.  Try: 'clang (LLVM option parsing) --help'
clang (LLVM option parsing): Did you mean '  --enable-tail-merge=false'?
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-14 01:13:36 UTC
Thank you for the report.

Could you please include:

- A full build log, compressed if necessary, as an attachment please
- Exact system information (uname -a)
- Contents of /etc/make.conf (as an attachment)
Comment 2 rozhuk.im 2020-04-14 12:00:33 UTC
Created attachment 213387 [details]
build log
Comment 3 rozhuk.im 2020-04-14 12:01:05 UTC
Created attachment 213388 [details]
make.conf
Comment 4 rozhuk.im 2020-04-14 12:01:26 UTC
Created attachment 213389 [details]
make.conf
Comment 5 rozhuk.im 2020-04-14 12:02:24 UTC
Created attachment 213390 [details]
make.conf

FreeBSD rimwks 12.1-STABLE FreeBSD 12.1-STABLE #0 r359913M: Tue Apr 14 08:14:03 MSK 2020     root@rimwks:/tmp/obj.kernel/usr/src/amd64.amd64/sys/RIM_WKS  amd64
Comment 6 oleg.nauman 2020-04-15 20:41:33 UTC
I'm observing the same issue on amd64 FreeBSD 13.0-CURRENT r359913:

[2/34361] cc -MMD -MF obj/third_party/angle/src/third_party/volk/volk/volk.o.d -DUSE_AURA=1 -DUSE_GLIB=1 -DUSE_NSS_CERTS=1 -DUSE_X11=1 -DOFFICIAL_BUILD -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -DNO_UNWIND_TABLES -D_GNU_SOURCE -DCR_CLANG_REVISION=\"n340759-eaabaf7e-1\" -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D_FORTIFY_SOURCE=2 -DNDEBUG -DNVALGRIND -DDYNAMIC_ANNOTATIONS_ENABLED=0 -DVK_USE_PLATFORM_XCB_KHR -I../.. -Igen -I../../third_party/angle/src/third_party/volk -I../../third_party/angle/third_party/vulkan-headers/src/include -fprofile-sample-use=../../chrome/android/profiles/afdo.prof -fno-strict-aliasing --param=ssp-buffer-size=4 -fstack-protector -fno-unwind-tables -fno-asynchronous-unwind-tables -fPIC -pthread -fcolor-diagnostics -fmerge-all-constants -m64 -march=x86-64 -no-canonical-prefixes -Wall -Wextra -Wimplicit-fallthrough -Wthread-safety -Wextra-semi -Wno-missing-field-initializers -Wno-unused-parameter -Wno-c++11-narrowing -Wno-unneeded-internal-declaration -Wno-undefined-var-template -O2 -fno-ident -fdata-sections -ffunction-sections -fno-omit-frame-pointer -g0 -fvisibility=hidden -Wheader-hygiene -Wstring-conversion -Wtautological-overlap-compare -Xclang -mllvm -Xclang --enable-global-merge=false -std=c11 -c ../../third_party/angle/src/third_party/volk/volk.c -o obj/third_party/angle/src/third_party/volk/volk/volk.o
FAILED: obj/third_party/angle/src/third_party/volk/volk/volk.o
cc -MMD -MF obj/third_party/angle/src/third_party/volk/volk/volk.o.d -DUSE_AURA=1 -DUSE_GLIB=1 -DUSE_NSS_CERTS=1 -DUSE_X11=1 -DOFFICIAL_BUILD -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -DNO_UNWIND_TABLES -D_GNU_SOURCE -DCR_CLANG_REVISION=\"n340759-eaabaf7e-1\" -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D_FORTIFY_SOURCE=2 -DNDEBUG -DNVALGRIND -DDYNAMIC_ANNOTATIONS_ENABLED=0 -DVK_USE_PLATFORM_XCB_KHR -I../.. -Igen -I../../third_party/angle/src/third_party/volk -I../../third_party/angle/third_party/vulkan-headers/src/include -fprofile-sample-use=../../chrome/android/profiles/afdo.prof -fno-strict-aliasing --param=ssp-buffer-size=4 -fstack-protector -fno-unwind-tables -fno-asynchronous-unwind-tables -fPIC -pthread -fcolor-diagnostics -fmerge-all-constants -m64 -march=x86-64 -no-canonical-prefixes -Wall -Wextra -Wimplicit-fallthrough -Wthread-safety -Wextra-semi -Wno-missing-field-initializers -Wno-unused-parameter -Wno-c++11-narrowing -Wno-unneeded-internal-declaration -Wno-undefined-var-template -O2 -fno-ident -fdata-sections -ffunction-sections -fno-omit-frame-pointer -g0 -fvisibility=hidden -Wheader-hygiene -Wstring-conversion -Wtautological-overlap-compare -Xclang -mllvm -Xclang --enable-global-merge=false -std=c11 -c ../../third_party/angle/src/third_party/volk/volk.c -o obj/third_party/angle/src/third_party/volk/volk/volk.o
clang (LLVM option parsing): Unknown command line argument '--enable-global-merge=false'.  Try: 'clang (LLVM option parsing) --help'
clang (LLVM option parsing): Did you mean '--enable-tail-merge=false'?
Comment 7 iron.udjin 2020-04-15 22:24:21 UTC
Have the same issue on 12.1-STABLE r359804M
Comment 8 rozhuk.im 2020-04-17 14:13:54 UTC
Created attachment 213494 [details]
build patch

Build and run ok.


PS: what happen with chromium few releases ago: 24k files to build -> 38k files to build?
Comment 9 oleg.nauman 2020-04-19 18:19:31 UTC
(In reply to rozhuk.im from comment #8)

It fixed www/chromium build, thank you
Comment 10 David Marker 2020-08-09 03:58:35 UTC
I found this bug searching for the same issue with www/iridium port. My ports tree is at revision 544178. Chromium built fine without the patch, but iridium failed as detailed in this bug, and after adding patch it built fine.
Comment 11 Joseph Mingrone freebsd_committer 2020-08-15 18:50:57 UTC
Created attachment 217236 [details]
Patch to update Chromium to version 84.0.4147.125
Comment 12 Joseph Mingrone freebsd_committer 2020-08-15 18:53:36 UTC
Upstream has made changes similar to what's included rozhuk.im's build_patch.  Could you try the patch I just attached against the latest ports tree?  I have tested it on the latest version on 12.1-amd64 and 11.3-i386 with success, but don't have a 12-STABLE or CURRENT system to test with.  There might be a separate build issue on CURRENT.
Comment 13 Joseph Mingrone freebsd_committer 2020-08-15 21:23:19 UTC
I committed, so if you would like to test, you can just update your ports tree and try to rebuild (ideally in poudriere).
Comment 14 Joseph Mingrone freebsd_committer 2020-08-17 16:22:54 UTC
I will close this as 'Overcome By Events', but please just re-open if it's still a problem.